Package wx :: Package lib :: Package ogl :: Class LabelShape

[frames | no frames]

## Type LabelShape

         object --+
                  |
    ShapeEvtHandler --+
                      |
                  Shape --+
                          |
             RectangleShape --+
                              |
                             LabelShape

Method Summary
| `__init__(self, parent, region, w, h)`
| `OnBeginDragLeft(self, x, y, keys, attachment)`
| `OnDragLeft(self, draw, x, y, keys, attachment)`
| `OnDraw(self, dc)`
| `OnDrawContents(self, dc)`
| `OnEndDragLeft(self, x, y, keys, attachment)`
| `OnLeftClick(self, x, y, keys, attachment)`
| `OnMovePre(self, dc, x, y, old_x, old_y, display)`
| `OnRightClick(self, x, y, keys, attachment)`

Class Variable Summary

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:29 2007 | http://epydoc.sf.net